summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-04-02 22:26:45 +0200
committerJim Meyering <meyering@redhat.com>2008-10-23 14:18:25 +0200
commitb3677e5e383103bf1764b2c8a9329b1c17934b24 (patch)
treed7bfd554197ec58f5d8ae00abcd5eef07bbc443c /tests/misc
parentcc0f637b6d2d62a2f811323e677112cfb34cd07e (diff)
downloadcoreutils-b3677e5e383103bf1764b2c8a9329b1c17934b24.tar.xz
ls: use '.' (not +) as SELinux-only alt. access flag in ls -l output
* src/ls.c (gobble_file) [long_format]: Map SELinux-only to '.', any other nonempty combination of MAC and ACL to '+', and all else to the usual ' '. Suggested by Michael Stone. * tests/misc/selinux: Adapt: expect '.', not '+'. * doc/coreutils.texi (What information is listed): Document this. * NEWS (Changes in behavior): Mention it.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/selinux4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/selinux b/tests/misc/selinux
index a231fa78f..8211c80f7 100755
--- a/tests/misc/selinux
+++ b/tests/misc/selinux
@@ -34,8 +34,8 @@ for i in d f p; do
c=`stat --printf %C $i`; test x$c = x$ctx || fail=1
done
-# ensure that ls -l output includes the "+".
-c=`ls -l f|cut -c11`; test "$c" = + || fail=1
+# ensure that ls -l output includes the ".".
+c=`ls -l f|cut -c11`; test "$c" = . || fail=1
# Copy each to a new directory and ensure that context is preserved.
cp -r --preserve=all d f p s1 || fail=1